/*
 * Copyright (C) 1998-2002 <a href="mailto:jens.dietrich@unforgettable.com">Jens Dietrich</a>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package de.jfs2002.mandarax.crm;


/**
 * Represents a categories of customers. Something like "Gold customer progrm".
 * @author <A HREF="mailto:jens.dietrich@unforgettable.com">Jens Dietrich</A>
 * @version 1.8 <18 June 2002>
 * @since 1.2
 */
public class Category implements java.io.Serializable {

    public final static String PLATINUM    = "Platinum";
    public final static String GOLD        = "Gold";
    public final static String STANDARD    = "Standard";
    private String             description = "?";

    /**
     * Constructor.
     * @param aDescription java.lang.String
     */
    public Category(String aDescription) {
        super ();

        description = aDescription;
    }

    /**
     * Compares objects.
     * @return boolean
     * @param obj java.lang.Object
     */
    public boolean equals(Object obj) {
        return(obj instanceof Category)
              && description.equals (((Category) obj).description);
    }

    /**
     * Get the description.
     * @return java.lang.String
     */
    public String getDescription() {
        return description;
    }

    /**
     * Get the hash code.
     * @return int
     */
    public int hashCode() {
        return(description == null)
              ? 0
              : description.hashCode ();
    }

    /**
     * Convert the object to a string.
     * @return java.lang.String
     */
    public String toString() {
        return getDescription ();
    }
}
