/*
 * Copyright (C) 1998-2002 <a href="mailto:jens.dietrich@unforgettable.com">Jens Dietrich</a>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package de.jfs2002.mandarax.crm;


/**
 * Represents kinds of payment, like VISA, AMEX, cash etc.
 * @author <A HREF="mailto:jens.dietrich@unforgettable.com">Jens Dietrich</A>
 * @version 1.8 <18 June 2002>
 * @since 1.2
 */
public class KindOfPayment implements java.io.Serializable {

    public final static String COMPANY_VISA = "Company Visa Card";
    public final static String OTHER_VISA   = "Other Visa Card";
    public final static String MASTER       = "Master Card";
    public final static String AMEX         = "American Express";
    public final static String DISCOVERY    = "Discovery";
    public final static String EURO         = "Eurocard";
    private String             description  = "?";

    /**
     * Constructor.
     * @param aDescription java.lang.String
     */
    public KindOfPayment(String aDescription) {
        super ();

        description = aDescription;
    }

    /**
     * Compares objects.
     * @return boolean
     * @param obj java.lang.Object
     */
    public boolean equals(Object obj) {
        return((obj instanceof KindOfPayment)
               && ((KindOfPayment) obj).description.equals (description));
    }

    /**
     * Get the description.
     * @return java.lang.String
     */
    public String getDescription() {
        return description;
    }

    /**
     * Get the hash code of the object.
     * @return int
     */
    public int hashCode() {
        return(description == null)
              ? 0
              : description.hashCode ();
    }

    /**
     * Set a description.
     * @param value the new value
     */
    public void setDescription(String value) {
        description = value;
    }

    /**
     * Convert the object to a string.
     * @return java.lang.String
     */
    public String toString() {
        return getDescription ();
    }
}
